Skip to main content

Modify a backed up volume

Modifies a specified backed-up volume, updating its state, backup policy, retention rules, or archival settings. Use this endpoint to adjust backup configurations for a volume to meet your data management requirements.

HTTP method and endpoint

PUT /account/{accountId}/providers/cloudmanager_cbs/api/v1/backup/working-environment/{workingEnvironmentId}/volume/{volumeId}

Token usage

NetApp Console user token.

Usage notes

Modifies a specified backed up volume. You can use this API endpoint to modify the volume state, backup policy, backup policy rule-retention, and archive-after-days parameters.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

workingEnvironmentId

string

path

True

System ID

volumeId

string

path

True

Volume ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

state

string

False

backup-policy

backup-policy

False

Example request
{
  "state": "string",
  "backup-policy": {
    "name": "string",
    "rule": [
      {
        "label": "string",
        "retention": "string"
      }
    ],
    "archive-after-days": "string",
    "object-lock": "string"
  }
}

Response

Status: 200, Default response
Name Type Required Description

state

string

False

Example response
{
  "state": "string"
}

Definitions

See Definitions

rule

Name Type Required Description

label

string

False

retention

string

False

backup-policy

Name Type Required Description

name

string

False

rule

array[rule]

False

archive-after-days

string

False

object-lock

string

False